Subject: Re: bug#55414: 29.0.50; Byte compilation error for the modus-themes

From: Protesilaos Stavrou <[email-masked]>
Date: Mon, 23 May 2022 06:51:10 +0300

Good day everyone!

> From: Alan Mackenzie <[email-masked]>
> Date: Sun, 22 May 2022 13:10:20 +0000
>
> There are actually two (or maybe several) pairs of default values for
> max-lisp-eval-depth and max-specpdl-size.  They are set in src/eval.c in
> init_eval_once.  For when native compilation is enabled the defaults are
> 1600/2500.  When it's not, they're 800/1800.
>
> modus-themes needs just short of 3000/3000, presumably when native
> compilation is enabled.

I tried Emacs builds with and without native compilation.  In both
cases, the test succeeds when I set both values close to 3000.

> From: Eli Zaretskii <[email-masked]>
> Date: Sun, 22 May 2022 16:25:23 +0300
>
>> Date: Sun, 22 May 2022 13:10:20 +0000
>> Cc: Protesilaos Stavrou <[email-masked]>, [email-masked],
>>   [email-masked]
>> From: Alan Mackenzie <[email-masked]>
>> 
>> It is, in any case, our medium term goal to have native
>> compilation enabled by default.
>
> How does the default value affect this?  I don't want to make the
> values too large for the reasons I've explained up-thread (and you
> agreed, AFAIU).
>
> Do we know what value is necessary for modus-themes to successfully
> byte-compile?  If so, let's increase the value separately for each
> case: byte compilation and native-compilation.

Then I should add local variables?  I am fine with this.  Just need to
have your verdict on the matter.

-- 
Protesilaos Stavrou
https://protesilaos.com